Problems with the Dock setting of "Show on" in the Appearance tab

Bug #1866088 reported by Paul White on 2020-03-04
168
This bug affects 21 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
Marco Trevisan (Treviño)
Focal
Low
Marco Trevisan (Treviño)
Groovy
Low
Marco Trevisan (Treviño)
gnome-shell-extension-ubuntu-dock (Ubuntu)
Low
Unassigned

Bug Description

I use a laptop with external monitor in a dual display set-up.

The "Screen Display" tab of Settings application correctly shows:

Display 1 as the built-in display
Display 2 as the external monitor

If I go to the new "Appearance" tab I see that the Dock is set to display on the Built-in display but it is actually being displayed on the external monitor. If I change this setting to display on the external monitor it displays on the laptop's built-in display.

Once set to "All displays" the setting can not be unset and the dock insists on being displayed on both the laptop's built-in display and the external monitor.

I used the Dconf editor to set
org.gnome.shell.extensions.dash-to-dock.multi-monitor to off to correct the problem although the settings application again shows that the dock is being displayed on the built-in display when in fact it is being shown on the external monitor.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: gnome-control-center 1:3.35.91-0ubuntu3
ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
Uname: Linux 5.4.0-14-generic x86_64
ApportVersion: 2.20.11-0ubuntu18
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Mar 4 15:20:47 2020
InstallationDate: Installed on 2019-05-17 (292 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Alpha amd64 (20190517)
SourcePackage: gnome-control-center
UpgradeStatus: Upgraded to focal on 2019-11-08 (116 days ago)

Paul White (paulw2u) wrote :
Paul White (paulw2u) on 2020-03-04
description: updated
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Is that a new issue that started with some recent update?

Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
Paul White (paulw2u) wrote :

I normally log in to a GNOME session rather than an Ubuntu session so some of the tabs and settings are new to me, especially in Ubuntu 20.04. As far as I am aware this is a new issue introduced by updating gnome-control-center to 3.35.91.

Paul White (paulw2u) wrote :

Just received an update to 3.35.92 - problem persists.

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Ciaphas Cain (commissar) wrote :

I have same bug on Ubuntu 18.04. I use laptop and external monitor (AOC 27")
"All displays" - works fine
"Build in display" - shows dock on external monitor
"AOC 27" - shows dock on laptop.

Also I noticed that this only appears when I select my external monitor as "Primary display" (Settings -> Devices -> Displays). So I think OS confuses "Primary display" with "Build in display"

Paul White (paulw2u) wrote :

Further to my comment #4, in an Ubuntu session on Ubuntu 18.04 this setting is on the "Dock" tab of Settings.

I see the same problem as I originally reported although unlike with Ubuntu 20.04 I can change this setting as often as I like without having to use Dconf to unset the dock being shown on both displays.

tags: added: bionic
Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: New → Confirmed

Mh, i think this is more a g-c-c issue than the dock.

I would prefer the `multi-monitor` key to be disabled when a specific monitor is selected.

Changed in gnome-shell-extension-ubuntu-dock (Ubuntu):
status: Confirmed → Won't Fix
Changed in gnome-control-center (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Daniel van Vugt (vanvugt) wrote :

Fix committed, scheduled for release in 1:3.36.1-1ubuntu6

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Committed
tags: added: multimonitor
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.2-1ubuntu1

---------------
gnome-control-center (1:3.36.2-1ubuntu1) groovy; urgency=medium

  * New upstream version rebased on Debian (lp: #1876256)
  * debian/patches/0001-sound-Fix-translation-of-System-Sounds.patch,
    debian/patches/0028-applications-Fix-only-connected-snap-interfaces-show.patch,
    debian/patches/git-info-crash-on-nvidia.patch,
    debian/patches/git-nongnome-segfault.patch:
    - removed, included in the new version

 -- Sebastien Bacher <email address hidden> Fri, 01 May 2020 09:10:17 +0200

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → Fix Released
no longer affects: gnome-shell-extension-ubuntu-dock (Ubuntu Focal)
no longer affects: gnome-shell-extension-ubuntu-dock (Ubuntu Groovy)
Changed in gnome-control-center (Ubuntu Focal):
status: New → Confirmed
Changed in gnome-control-center (Ubuntu Focal):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Confirmed → In Progress
Changed in gnome-control-center (Ubuntu Focal):
status: In Progress → Triaged
Changed in gnome-control-center (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in gnome-control-center (Ubuntu Focal):
importance: Undecided → Low

Hello Paul, or anyone else affected,

Accepted gnome-control-center into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.36.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
Paul White (paulw2u) wrote :

Thanks for advising of an updated package. I've enabled proposed and updated g-c-c to version 1:3.36.2-0ubuntu1 as requested.

Logging into an Ubuntu session I can now freely toggle the setting "Show on" between "1. Built in display" and "2. Primary display". The dock no longer displays incorrectly on both monitors or exhibits a crash as I originally reported.

However, I'm unsure whether to tag the bug report "verification-done" or "verification-failed" as when the dock is set to appear on the primary display it is shown on the built in display and v.v. This hasn't changed from my original report.

However, logging into a GNOME session rather than an Ubuntu session, using the Dash to Dock extension and the dock's own settings panel I see that "Show dock on" does correctly indicate which monitor is displaying the dock, i.e. "Primary monitor" or "Secondary monitor 1".

From that I'm of the opinion that the issue that I originally reported has not been fully fixed. I await guidance on the scope of the intended fix before tagging "done" or "failed".

Sebastien Bacher (seb128) wrote :

@Paul, thanks for the testing! It probably better to not fail verification is there are some improvements and no regression.

We will likely follow with another SRU after this one since we have a backlog of settings bugs to get fixed. If you open a new report about the remaining issue we should be able to add it to the backlog

Marco, does the remaining issue is something you also noticed?

Paul White (paulw2u) wrote :

Thanks Sebastien, I'll mark this one as verified on the basis that the dock can be moved freely from one display to the other and back, and that no crash occurs.

I've created bug 1877108 for the incorrect reporting of which display the dock is currently being shown on.

tags: added: verification-done-focal
removed: verification-needed-focal

The verification of the Stable Release Update for gnome-control-center has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.2-0ubuntu1

---------------
gnome-control-center (1:3.36.2-0ubuntu1) focal; urgency=medium

  * New upstream version rebased on Debian (lp: #1876256)
  * debian/patches/0001-sound-Fix-translation-of-System-Sounds.patch,
    debian/patches/0028-applications-Fix-only-connected-snap-interfaces-show.patch,
    debian/patches/git-info-crash-on-nvidia.patch:
    - removed, included in the new version

  [ Marco Trevisan ]
  * debian/patches/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - disable dock in all monitors when choosing a specific one (lp: #1866088)
    - Ignore inactive monitors (lp: #1873890)
    - Show shell labels when using appearance panel (lp: #1873883)

  [ Olivier Tilloy ]
  * d/p/0032-online-accounts-maybe-leak-a-reference-to-the-panel.patch:
    maybe leak a reference to the panel, to prevent a crash (LP: #1862553)

 -- Sebastien Bacher <email address hidden> Fri, 01 May 2020 09:10:17 +0200

Changed in gnome-control-center (Ubuntu Focal):
status: Fix Committed → Fix Released
Jose Lopez (jose2002) wrote :

I just updated to 1:3.36.2-0ubuntu1 and the monitors are still in the wrong place. Monitor 1 is monitor 2 and viceversa.
The only thing that was fixed is that the dock does not show permanently on both monitors.

Jose Lopez (jose2002) wrote :

Hopefully this remaining bug will be fixed in #1876937

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers